Delete (V2)
This operation deletes entities by their IDs or with a boolean expression.
The base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.
The name of the database which the collection belongs to. Setting this to a non-existing database results in an error.
The name of the target collection. Setting this to a non-existing collection results in an error.
A scalar filtering condition to filter matching entities. You can set this parameter to an empty string to skip scalar filtering. To build a scalar filtering condition, refer to Reference on Scalar Filters.
The name of a partition in the current collection. If specified, the data is to be deleted from the specified partition.
Expression template parameter values for parameterized filter expressions.
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/entities/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "medium_articles",
"filter": "id == 4321034832910"
}'
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/entities/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "medium_articles",
"filter": "reading_time > 15"
}'
Response code.
Cost of this operation. This applies to free and serverless clusters only, indicating the vCU usage of the current request.
Response payload which is an empty object.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"cost": 0,
"data": {}
}